<!--
		SIF Implementation Specification (Australia) 3.4.3


		(April 5, 2018)
		
		Infrastructure Version: v3
	-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.sifassociation.org/datamodel/au/3.4" targetNamespace="http://www.sifassociation.org/datamodel/au/3.4" elementFormDefault="qualified" version="3.4.3">
  <xs:complexType name="TimeTableType">
    <xs:sequence>
      <xs:element name="SchoolInfoRefId" minOccurs="0" nillable="true" type="IdRefType" />
      <xs:element name="SchoolYear" minOccurs="0" type="SchoolYearType" />
      <xs:element name="LocalId" minOccurs="0" nillable="true" type="LocalIdType" />
      <xs:element name="Title" minOccurs="0" type="xs:normalizedString" />
      <xs:element name="DaysPerCycle" minOccurs="0" type="xs:unsignedInt" />
      <xs:element name="PeriodsPerDay" minOccurs="0" type="xs:unsignedInt" />
      <xs:element name="TeachingPeriodsPerDay" minOccurs="0" nillable="true" type="xs:unsignedInt" />
      <xs:element name="SchoolLocalId" minOccurs="0" nillable="true" type="LocalIdType" />
      <xs:element name="SchoolName" minOccurs="0" nillable="true" type="xs:normalizedString" />
      <xs:element name="TimeTableCreationDate" minOccurs="0" nillable="true" type="xs:date" />
      <xs:element name="StartDate" minOccurs="0" nillable="true" type="xs:date" />
      <xs:element name="EndDate" minOccurs="0" nillable="true" type="xs:date" />
      <xs:element name="TimeTableDayList" minOccurs="0" type="TimeTableDayListType" />
      <xs:element name="SIF_Metadata" minOccurs="0" nillable="true" type="SIF_MetadataType" />
      <xs:element name="SIF_ExtendedElements" minOccurs="0" nillable="true" type="SIF_ExtendedElementsType" />
    </xs:sequence>
    <xs:attribute name="RefId" use="required" type="RefIdType" />
  </xs:complexType>

  <xs:element name="TimeTable" type="TimeTableType">
    <xs:unique name="TimeTableKey1">
      <xs:selector xpath="./TimeTable" />
      <xs:field xpath="@RefId" />
    </xs:unique>
  </xs:element>

  <xs:complexType name="TimeTableCollectionType">
    <xs:sequence>
      <xs:element name="TimeTable" type="TimeTableType" minOccurs="0" maxOccurs="unbounded" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="TimeTables" type="TimeTableCollectionType" />

</xs:schema>